%define dist el7ev

# change these as needed
%global locale en-US
%global product_line 4.2

%global manualdir %{_docdir}/%{name}/manual
%global product Red_Hat_Virtualization

Name:		rhvm-doc
Version:	%{product_line}.3
Release:	1.%{?dist}

Summary:	Red Hat Virtualization documentation
Group:		Documentation
License:	CC-BY-SA
URL:		http://docs.redhat.com
Source0:    %{name}-%{locale}-4.2.3-1.tar.gz
Source1:    %{product}-Documentation-4.2-201804221155-en-US.tar.gz
# Source2:    %{product}-Documentation-Extras-4.2-201707041916-en-US.tar.gz

Obsoletes:  rhevm-doc
Obsoletes:  redhat-support-plugin-rhev

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description

This package contains the Red Hat Virtualization
in-product documentation in html and pdf format.

%prep
%setup -q -T -D -a 0 -c
%setup -q -T -D -a 1 -c
# %setup -q -T -D -a 2 -c

%build
make -C rhvm-doc

%install
rm -rf "%{buildroot}"
make -C rhvm-doc install DESTDIR="%{buildroot}"

# clean up the books a bit and move them to manualdir
find . -type d |grep 'html$' | cut -d '/' -f 2 | while read dname; do
    rm -rf "$dname/html-single"
    find "$dname" -name '*.epub' -delete
    find "$dname" -name '*.pdf' | sed -e "p;s/.*/$dname\/$dname\.pdf/" | xargs -n2 mv
    mv "$dname" "%{buildroot}/%{manualdir}/%{locale}/"
done

install -m 0755 -d "%{buildroot}%{_sysconfdir}/ovirt-engine/engine.conf.d"
cat > "%{buildroot}%{_sysconfdir}/ovirt-engine/engine.conf.d/10-rhvm-doc.conf" << __EOF__
ENGINE_MANUAL="%{manualdir}"
__EOF__

# EULA
mkdir -p "%{buildroot}%{_datarootdir}/doc/redhat-applications"
install -m 0755 -d "%{buildroot}%{_datarootdir}/doc/redhat-applications"
cp rhvm-doc/GLOBAL_EULA* "%{buildroot}%{_datarootdir}/doc/redhat-applications/"

# doc tab plugin
install -d %{buildroot}%{_datarootdir}/ovirt-engine/
install -d %{buildroot}%{_datarootdir}/ovirt-engine/ui-plugins/
cp -r rhvm-doc/ui-plugins/* %{buildroot}%{_datarootdir}/ovirt-engine/ui-plugins/

# welcome page template
mkdir -p "%{buildroot}/%{_datadir}/ovirt-engine/branding/rhv-2.brand"
cp rhvm-doc/docs_%{locale}.template "%{buildroot}/%{_datadir}/ovirt-engine/branding/rhv-2.brand"

%files
%dir %{_docdir}/%{name}
%config %{_sysconfdir}/ovirt-engine/engine.conf.d/10-rhvm-doc.conf
%{manualdir}/
%{_datarootdir}/ovirt-engine/ui-plugins
%{_datarootdir}/doc/redhat-applications
%{_datadir}/ovirt-engine/branding


%changelog
* Thu Apr 26 2018 Greg Sheremeta <gshereme@redhat.com> - 4.2.3-1
- add welcome links and csh for 4.2 GA

* Mon Feb 26 2018 Greg Sheremeta <gshereme@redhat.com> - 4.2.2-2
- Fix Network tab doc link

* Wed Feb 14 2018 Greg Sheremeta <gshereme@redhat.com> - 4.2.2-1
- 4.2.2-1. 4.2 beta 3.
- Adapted to new dynamic engine DocsServlet and welcome page design

* Wed Jan 10 2018 Greg Sheremeta <gshereme@redhat.com> - 4.2.1-1
- 4.2.1-1. 4.2 beta 2.
- Add completed content for beta 2. Not all documentation is completed.

* Wed Nov 29 2017 Greg Sheremeta <gshereme@redhat.com> - 4.2.0-1
- 4.2.0-1. 4.2 beta. No content yet. Added Red Hat Documentation tab
  plugin, originally from redhat-support-plugin-rhev. Add EULA.

* Wed Aug 30 2017 Greg Sheremeta <gshereme@redhat.com> - 4.2.0-0.1
- 4.2.0-0.1. 4.2 pre-release, no books and empty mapping file.
  Added Obsoletes for rhevm-doc (old name) and redhat-support-plugin-rhev.

* Mon Jul 31 2017 Greg Sheremeta <gshereme@redhat.com> - 4.2.0-0.0
- 4.2.0-0.0. 4.2 pre-release, no books and empty mapping file.
